//
//  LoadingScreen.hpp
//  Game
//
//  Created by Darvydas on 27/01/2019.
//

#ifndef LoadingScreen_hpp
#define LoadingScreen_hpp

#include "cocos2d.h"

class CLoadingScreen : public cocos2d::Scene
{
    
public:
    
    static cocos2d::Scene* createScene();
    
    virtual bool init();
    
    // implement the "static create()" method manually
    CREATE_FUNC(CLoadingScreen);
    
private:
    
    void createVisualElements();
    
};


#endif /* LoadingScreen_hpp */
